Subject: [bug#57643] [PATCH 0/3] Document the image API.

From: Ludovic Courtès <[email-masked]>
Date: Sat, 24 Sep 2022 12:16:38 +0200

Hi,

Liliana Marie Prikler <[email-masked]> skribis:

> Am Mittwoch, dem 07.09.2022 um 14:46 +0200 schrieb Mathieu Othacehe:
>> Make the operating-system field mandatory as creating an image
>> without it
>> makes no sense. Introduce a new macro, image-without-os for the
>> specific cases
>> where the image is only created to be inherited from afterwards.
>> 
>> * gnu/image.scm (<image>)[operating-system]: Make it mandatory.
>> * gnu/system/image.scm (image-without-os): New macro.
>> (efi-disk-image, efi32-disk-image, iso9660-image, docker-image,
>> raw-with-offset-disk-image): Use it.
>> * gnu/system/images/hurd.scm (hurd-disk-image): Ditto.
> IMHO adding a new macro is a bit much.  Can't we simply add an empty
> image from which the others are derived or use (operating-system #f)
> literally?  (Alternatively to #f you might prefer "none" as syntactic
> sugar.)

I sympathize with what you write, though I don’t have a strong opinion.

> I do agree with making operating-system mandatory, though.

Same here!

Ludo’.